dasher (5.0.0~beta~repack2-5) unstable; urgency=medium

  * clean: Add yet more cleaning (Closes: Bug#1044454).
  * Update standards version to 4.6.2, no changes needed.
  * patches/no-gnome-common: Replace gnome-autogen.sh with autogen.
  * control: Drop gnome-common build-dep (Closes: Bug#829777).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2025 15:03:00 +0200

dasher (5.0.0~beta~repack2-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * source/lintian-overrides: Suppress warning.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gnome-pkg-tools, intltool and
      libglib2.0-dev.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:21:49 +0100

dasher (5.0.0~beta~repack2-3) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * patches/atspi_cpp: Fix build with newer atspi/atspi.h.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 20:02:25 +0200

dasher (5.0.0~beta~repack2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fill in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name.
  * Fix day-of-week for changelog entries 3.2.10-4, 3.2.10-3.
  * Update standards version to 4.5.0, no changes needed.

  [ Samuel Thibault ]
  * control: Update alioth list domain.
  * rules: Drop now-default -Wl,--as-needed option
  * patches/intltool-update: Avoid issue with intltool-update
    (Closes: #978315).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Dec 2020 20:29:37 +0100

dasher (5.0.0~beta~repack2-1) unstable; urgency=medium

  * Repack to remove Win32 binary.
  * control: Make dasher-data multi-arch: foreign.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Add myself as uploader.
  * watch: Generalize pattern.
  * patches/yelp: Migrate to yelp-tools.
  * control: Build-Depend on yelp-tools instead of gnome-doc-utils
    (Closes: Bug#947519).
  * dasher-data.install: Install /usr/share/help instead of
    /usr/share/gnome.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Dec 2019 18:01:41 +0100

dasher (5.0.0~beta~repack-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * patches/drop: Drop some spurious data (Closes: Bug#920198).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Jan 2019 22:58:36 +0100

dasher (5.0.0~beta~repack-6) unstable; urgency=medium

  * Bug fix: "dasher -- does not work with wayland backend" with new patch
    nowayland (Closes: #852699).
  * Update VCS fields to salsa.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 21 Mar 2018 15:56:05 +0100

dasher (5.0.0~beta~repack-5) unstable; urgency=medium

  * Team upload
  * Modify patches/nonet to not require rarian
  * Don't Build-Depend on rarian-compat
  * Use dh_missing --fail-missing

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Jan 2018 12:36:33 -0500

dasher (5.0.0~beta~repack-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Don't Build-Depend on obsolete gconf, gnome-speech, or
    rarian-compat (we use gsettings and speech-dispatcher already)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

  [ Helmut Grohne ]
  * Fix FTCBFS: Configure only once and let dh_auto_configure do it.
    (Closes: #883560)

  [ Samuel Thibault ]
  * control: Build-Depend on rarian-compat.
  * patches/nonet: New patch to avoid network access for a dtd which is
    already packaged.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 29 Dec 2017 22:49:56 -0500

dasher (5.0.0~beta~repack-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Drop actually-unused libbonobo2-dev liborbit2-dev dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Oct 2017 22:22:22 +0200

dasher (5.0.0~beta~repack-2) unstable; urgency=low

  * Bug fix: "Fails to build from source without networking", thanks to
    Jeremy Bicha (Closes: #852047).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 21 Jan 2017 18:59:07 +0100

dasher (5.0.0~beta~repack-1) unstable; urgency=low

  * New upstream version 5.0.0~beta, repacked to remove non-DFSG-free
    material and large amounts of source code for other platforms;
  * Convert packaging to dh;
  * Use gsettings instead of gconf;
  * Update watch file;
  * Update years in copyright file.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 20 Jan 2017 17:06:17 +0100

dasher (4.11+git20130508.adc653-3) unstable; urgency=low

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Thibaut Paumard ]
  * Reintroducing dasher with new team maintenance in debian-accessibility
    (Closes: #839836).
  * Bug fix: "FTBFS with GCC 6: cannot convert x to y". Reported by Martin
    Michlmayr, patch by Adrian Bunk (Closes: #811640).
  * Activate all hardening features.
  * Check against Policy 3.9.8.
  * Regenerate autotools material (build-depend on autotools-dev).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 11 Oct 2016 16:46:31 +0200

dasher (4.11+git20130508.adc653-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS (Closes: #755343)
  * Add myself to uploaders

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Oct 2014 22:04:05 +0100

dasher (4.11+git20130508.adc653-1) unstable; urgency=low

  * New upstream git snapshot.
  * Switch to 3.0 quilt format.
  * error-format-security.patch, fix-binutils-gold.patch: dropped,
    obsolete.
  * Disable joystick support, it doesn’t build.
  * Revamp build-dependencies, use gtk3 and at-spi2.
  * Enable Cairo, which is necessary for Gtk3. Sad it’s so slow.
  * Explicitly disable GSettings, the schemas don’t work. Use GConf
    instead.
  * Update install files.
  * Build-depend on docbook-xml which is needed to build help files.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 May 2013 12:16:17 +0200

dasher (4.11-2) unstable; urgency=low

  * Update repository URL.
  * Replace at-spi dependency with libatk-adaptor.

 -- Josselin Mouette <joss@debian.org>  Fri, 28 Sep 2012 23:05:10 +0200

dasher (4.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use source:Version instead of gnome:Version.
    Make the package binNMU safe. (Closes: #629307)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Jul 2012 18:00:29 +0200

dasher (4.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: game_mode_helper.cpp:327:15: error: format not a string
    literal and no format arguments [-Werror=format-security]":
    add patch error-format-security.patch from Eric Alexander: add a format
    argument in Src/Gtk2/game_mode_helper.cpp.
    (Closes: #643371)
  * Fix "ftbfs with gold or ld --no-add-needed":
    add patch fix-binutils-gold.patch from Mònica Ramírez Arceda: force
    linking against X11.
    (Closes: #615705)

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Dec 2011 17:04:06 +0100

dasher (4.11-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Apr 2010 07:56:20 +0200

dasher (4.10.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_missing-includes.patch,
    debian/patches/02_gcc-4.3.patch:
    - Removed, dasher builds fine without them.

  [ Mario Lang ]
  * debian/control{,.in}: Add Vcs-Svn and Vcs-Browser fields.

  [ Josselin Mouette ]
  * Disable joystick support on non-Linux architectures.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Nov 2009 11:53:30 +0100

dasher (4.10.1-1) unstable; urgency=low

  [ Luca Falavigna ]
  * New upstream release.
    - Update manpage (Closes: #422466).
  * debian/control.in, debian/control:
    - Bump Standards-Version to 3.8.1, no changes required.
  * debian/patches/01_missing-includes.patch:
    - Refreshed for new upstream release.
  * debian/patches/02_gcc-4.3.patch:
    - Refreshed for new upstream release.

  [ Josselin Mouette ]
  * Update build-dependencies.
  * Install the gconf schemas.

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Jun 2009 01:53:54 +0200

dasher (4.9.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 19:21:08 +0100

dasher (4.9.0-1) experimental; urgency=low

  [ Loic Minier ]
  * Let dasher-data depend on ${misc:Depends}.

  [ Josselin Mouette ]
  * New upstream release.
  * Standards version is 3.8.0.
  * 01_missing-includes.patch, 02_gcc-4.3.patch: updated for the new
    version.
  * 03_no-cairo.patch: dropped, merged upstream.
  * Move /usr/share/omf to dasher-data.
  * Bump dasher-data conflict accordingly.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:23:44 +0100

dasher (4.7.3-1) unstable; urgency=low

  * New upstream release (4.7.2 tarball was the wrong branch).
  * debian/patches/02_gcc-4.3.patch: Readd and update since most of it
    was merged upstream (Closes: Bug#475058).

 -- Mario Lang <mlang@debian.org>  Wed, 09 Apr 2008 16:29:47 +0200

dasher (4.7.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/02_gcc-4.3.patch: Removed, applied upstream.
  * debian/patches/04_lldiv_namespace.patch: Likewise.
  * debian/copyright: Add Copyright years.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Apr 2008 19:05:04 +0200

dasher (4.7.0-2) unstable; urgency=low

  * debian/patches/04_lldiv_namespace.patch: New patch taken from upstream,
    don't look for lldiv in `__gnu_cxx', hopefully fixes FTBFS on arm,
    armel, mips, mipsel.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Mar 2008 11:44:28 +0100

dasher (4.7.0-1) unstable; urgency=low

  [ Romain Francoise ]
  * New upstream release, fixes crash when switching alphabets
    (closes: #458254).
  * debian/dasher.menu: Update for new menu policy (closes: #445041).
  * debian/patches/01_missing-includes.patch: Resync with new upstream.
  * debian/patches/02_gcc-4.3.patch: New patch, fixes build with GCC 4.3,
    thanks to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
    (closes: #461944).
  * debian/patches/03_no-cairo.patch: New patch, fixes build w/o cairo.
  * debian/control: Bump Standards-Version to 3.7.3.

  [ Alan Baghumian ]
  * Updated debian/control*:
    - Bump gnome-doc-utils build-dep to 0.3.2
    - Changed libgnome-speech3-dev build dep to libgnome-speech-dev

  [ Josselin Mouette ]
  * Fix corrupt line in changelog.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 28 Mar 2008 20:21:59 +0100

dasher (4.4.2-2) unstable; urgency=low

  * Re-enable speech support.
  * Don't use --with-a11y, it's now enabled by default (and it has no
    effect anyway).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jun 2007 11:40:15 +0200

dasher (4.4.2-1) unstable; urgency=low

  * New upstream stable release; translations and small bug fixes.
  * Adjust Build-Depends, libgnome-speech3-dev is now libgnome-speech-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Jun 2007 23:10:10 +0200

dasher (4.4.1-2) unstable; urgency=low

  * Added 01_missing-includes.patch (Closes: #421229).
     - Fixes FTBFS with GCC 4.3, thanks Martin Michlmayr

 -- Alan Baghumian <alan@technotux.org>  Sun, 29 Apr 2007 07:49:41 +0330

dasher (4.4.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Alan Baghumian ]
  * New upstream release (Closes: #417150).
    - Improved non-cairo rendering
    - Fixed segfault in output
  * Updated 10_fix-icon-name.patch
  * Updated debian/control*
    - Added myself as co-maintainer
    - Added libcanna1g-dev to build-deps
  * Updated debian/rules
    - Added --without-cairo (lower CPU usage) and --enable-joystick configure
      flags

  [ Loic Minier ]
  * Wrap build-deps and deps.

  [ Sebastian Dröge ]
  * Dropped, 10_fix-icon-name.patch. It's not necessary anymore.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Apr 2007 14:22:31 +0200

dasher (4.2.2-1) unstable; urgency=low

  * New upstream stable release; translations and small bug fixes.

 -- Loic Minier <lool@dooz.org>  Tue, 21 Nov 2006 10:55:46 +0100

dasher (4.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Oct 2006 22:17:59 +0200

dasher (4.2.0-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Merge experimental changes.
  * debian/watch: fix typo.

  [ Loic Minier ]
  * New patch, 10_fix-icon-name, to set the Icon= to dasher instead of
    dasher.png in the .desktop file; closes: #394188.

 -- Loic Minier <lool@dooz.org>  Fri, 20 Oct 2006 13:41:44 +0200

dasher (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - use ${gnome:Version} and ${gnome:NextVersion} for dasher-data
      dependency.
    - bump build requirements for libglib2.0-dev, libgtk2.0-dev and
      gnome-pkg-tools; add gnome-doc-utils, libcairo2-dev (as it's being
      picked up anyway).
  * debian/rules: include gnome-version.mk.
  * debian/copyright, debian/watch: updated download URL.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Sep 2006 23:26:26 +0200

dasher (4.1.9-1) experimental; urgency=low

  * New upstream development releases.
    - Target at experimental.
    - Bump up libglib2.0-dev build-dep to >= 2.6.
  * Bump up libgtk2.0-dev build-dep to >= 2.6.0.
  * Add build-deps on libbonobo2-dev, liborbit2-dev, and libatk1.0-dev for
    a11y.
  * Misc cleanups; drop useless debian/dirs.

 -- Loic Minier <lool@dooz.org>  Sun, 13 Aug 2006 22:18:14 +0200

dasher (4.0.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Add watch file.

  [ Gustavo Franco ]
  * debian/control: Fix dasher-data description typo. (Closes: #357277)

  [ Loic Minier ]
  * New upstream releases.

 -- Loic Minier <lool@dooz.org>  Mon,  7 Aug 2006 22:16:46 +0200

dasher (4.0.2-1) unstable; urgency=low

  [ Gustavo Franco ]
  * New upstream release.
    + Generate a potfile during package build. (Closes: #313518)
    + Build with cairo support. (Closes: #326483)
    + Fix Segmentation Fault on startup. (Closes: #319041)
  * debian/control:
    + Bump up Standards-Version to 3.7.2.
    + Update debhelper dependency to 5.
  * debian/compat: add and set to 5.
  * Merge NMU changelog from 3.2.18-2.1 as a patch to remove extra
    qualification in C++, but drop the patch because it was merged
    upstream. Thanks tbm. (Closes: #358881)
  * debian/dasher.install:
    - Add .desktop file into the dasher package. Thanks dholbach.

  [ Josselin Mouette ]
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${source:Version}.

 -- Gustavo Franco <stratus@debian.org>  Wed,  7 Jun 2006 18:56:18 -0300

dasher (3.2.18-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header files (Closes: #358881).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 20:28:18 +0200

dasher (3.2.18-2) unstable; urgency=high

  * Rebuild to fix deps since the libwnck-related binNMU.

 -- Loic Minier <lool@dooz.org>  Fri, 20 Jan 2006 13:36:48 +0100

dasher (3.2.18-1) unstable; urgency=low

  [ Loïc Minier ]
  * Remove libgpewidget-dev build-dep. [debian/control, debian/control.in]

  [ Clément Stenac ]
  * New upstream release
  * Split the package in dasher and dasher-data (Closes:#233340)

 -- Clément Stenac <zorglub@debian.org>  Tue,  6 Sep 2005 17:23:40 +0200

dasher (3.2.17-1) unstable; urgency=low

  * Switch to CDBS. [debian/rules, debian/control]
  * Adopted by the GNOME team.
    [debian/control, debian/control.in, debian/rules]
  * New upstream releases.
    - Update upstream URL. (Closes: #326205) [debian/copyright]
    - Temporarily add libxt-dev build-dependency to let
      AC_PATH_X/AC_PATH_XTRA autodetect X development files, see
      <http://bugzilla.gnome.org/show_bug.cgi?id=314669>.
      [debian/control, debian/control.in]
    - Add libgnomevfs2-dev build-dep. [debian/control, debian/control.in]
    - Add libgpewidget-dev build-dep. [debian/control, debian/control.in]
    - No longer calls wnck_window_activate() with the old API.
      (Closes: #319559)
  * Replace intltool build-dep with libxml-parser-perl.
    [debian/control, debian/control.in]
  * Bump Standards-Version to 3.6.2, no change needed.
    [debian/control, debian/control.in]
  * Quote "needs" and "section" in menu. [debian/dasher.menu]

 -- Loic Minier <lool@dooz.org>  Sat,  3 Sep 2005 17:23:40 +0200

dasher (3.2.13-1) unstable; urgency=low

  * New upstream release
  * Includes priority inversion patch (closes: #278554)
  * Includes updated alphabets (closes: #278473)
  * Depends on at-spi (closes: #288782)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 30 Jan 2005 18:47:24 +0000

dasher (3.2.11-1) unstable; urgency=low

  * New upstream release
  * Relibtoolized (closes: #264745)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 18 Aug 2004 01:38:21 +0100

dasher (3.2.10-4) unstable; urgency=low

  * Change build-depends to match bump in gnome-speech version (closes:
    Bug#252565)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 05 Jun 2003 11:10:04 +0100

dasher (3.2.10-3) unstable; urgency=low

  * Broken configure script resulted in a build without Gnome support

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 31 May 2003 21:39:12 +0100

dasher (3.2.10-2) unstable; urgency=low

  * Fix typo in dasher.glade, colour scheme selection works now

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 26 May 2004 16:58:44 +0100

dasher (3.2.10-1) unstable; urgency=low

  * New upstream release
  * Add depends on libxtst-dev (closes: Bug#249970)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 26 May 2004 16:35:40 +0100

dasher (3.2.8-2) unstable; urgency=low

  * Build-depend on scrollkeeper (closes: Bug#240127)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 26 Mar 2004 11:54:29 +0000

dasher (3.2.8-1) unstable; urgency=low

  * New upstream release
  * Fixed menu file (closes: Bug#234295)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 24 Mar 2004 17:55:17 +0000

dasher (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: Bug#221918)
  * Added menu file
  * Built with accessibility and speech support

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 09 Dec 2003 14:43:17 +0000

dasher (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Moved over to GTK2 codebase
  * dependency problem was due to an excessively lax dependency in libstdc++ -
    fixed now (closes: Bug#178864)
  * Fixed empty documentation (closes: Bug#178865)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 19 Apr 2003 20:52:20 +0100

dasher (3.0.0-1) unstable; urgency=low

  * Initial Release (closes: Bug#175640)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 22 Jan 2003 03:08:20 +0000
